FLEX(1)

NAMN
flex — den snabba lexikalanalysatorgeneratorn

SYNOPSIS
flex [FLAGGOR] [FIL]...

BESKRIVNING
Genererar program som utför mönstermatchning på text.

  Tabellkomprimering:

-Ca, --align
    Bättre minnesjustering till priset av större tabeller.

-Ce, --ecs
    Konstruera ekvivalensklasser.

-Cf Komprimera inte tabeller; använd -f-representation.

-CF Komprimera inte tabeller; använd -F-representation.

-Cm, --meta-ecs
    Konstruera metaekvivalensklasser.

-Cr, --read
    Använd read() istället för stdio för inläsarindata.

-f, --full
    Generera snabb, stor inläsare. Samma som -Cfr.

-F, --fast
    Använd alternativ tabellrepresentation. Samma som -CFr.

-Cem
    Standardkomprimering (samma som --ecs --meta-ecs).

  Felsökning:

-d, --debug
    Aktivera felsökningsläge i inläsare.

-b, --backup
    Skriv backningsinformation till lex.backup.

-p, --perf-report
    Skriv prestandarapport till standard fel.

-s, --nodefault
    Undertryck standardregel att använda ECHO på omatchad text.

-T, --trace
    flex ska köra i spårningsläge.

-w, --nowarn
    Generera inte varningar.

-v, --verbose
    Skriv sammanfattning av inläsarstatistik till standard ut.

--hex
    använd hexadecimala tal i stället för oktala i felsökningsutdata

FILER

-o, --outfile=FIL
    Ange namn på utfil.

-S, --skel=FIL
    Ange mallfil.

-t, --stdout
    Skriv inläsare på standard ut istället för lex.yy.c.

--yyclass=NAMN
    Namn på C++-klass.

--header-file=FIL
    Skapa en C-huvudfil förutom inläsaren.

--tables-file[=FIL] Skriv tabeller till FIL.

--backup-file=FIL
    Skriv backningsinformation till FIL.

  Beteende för inläsare:

-7, --7bit
    Generera 7-bitarsinläsare.

-8, --8bit
    Generera 8-bitarsinläsare.

-B, --batch
    Generera batchinläsare (motsats till -I).

-i, --case-insensitive
    Ignorera skiftläge i mönster.

-l, --lex-compat
    Maximal kompatibilitet med ursprungliga lex.

-X, --posix-compat
    Maximal kompatibilitet med POSIX lex.

-I, --interactive
    Generera interaktiv inläsare (motsats till -B).

--yylineno
    Spåra radantal i yylineno.

  Genererad kod:

-+,  --c++
    Generera C++-inläsarklass.

-Dmacro[=defn]
    Definiera makrodefinition (standardefn är "1").

-L,  --noline
    Undertryck #line-direktiv i inläsaren.

-P,  --prefix=STRÄNG
    Använd STRÄNG som prefix istället för "yy".

-R,  --reentrant
    Generera en återanropbar C-inläsare.

--bison-bridge
    Inläsare för ren bisontolk.

--bison-locations
    Inkludera stöd för yylloc.

--stdinit
    Initiera yyin/yyout till standard in/ut.

--nounistd
    Inkludera inte <unistd.h>.

--noFUNKTION
    Generera inte en speciell FUNKTION.

  Diverse:

-c  POSIX-flagga som inte gör något.

-n  POSIX-flagga som inte gör något.

-?

-h, --help
    Visa detta hjälpmeddelande.

-V, --version
    Visa versionsinformation för flex.

SE ÄVEN
Den fullständiga dokumentationen för flex underhålls som en Texinfo-manual. Om programmen info och flex är ordentligt installerade på ditt system, bör kommandot

    info flex

ge dig tillgång till den kompletta manualen.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.